Get a home's details and estimate
curl --request POST \
--url https://api.stophy.dev/v1/redfin/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/redfin/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/redfin/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"status": "<string>",
"price": 1,
"currency": "<string>",
"priceText": "<string>",
"estimate": 123,
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lotSqft": 123,
"yearBuilt": 0,
"stories": 123,
"propertyType": "<string>",
"apn": "<string>",
"county": "<string>",
"description": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"unit": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"priceHistory": [
{
"date": "2023-12-25",
"event": "<string>",
"price": 123,
"source": "<string>",
"mlsId": "<string>"
}
],
"taxHistory": [
{
"year": 0,
"landValue": 123,
"improvementValue": 123,
"taxes": 123
}
],
"facts": [
{
"group": "<string>",
"name": "<string>",
"values": [
"<string>"
]
}
],
"schools": [
{
"isServingHome": true,
"url": "<string>",
"id": "<string>",
"name": "<string>",
"type": "<string>",
"grades": "<string>",
"rating": 123,
"parentRating": 123,
"distanceMiles": 123,
"students": 0,
"district": "<string>"
}
],
"comparables": [
{
"url": "<string>",
"id": "<string>",
"status": "<string>",
"price": 1,
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Redfin
Redfin property API
Call the Redfin property API to get status, price, currency, price text, estimate and last sold price, as JSON or markdown. 1 credit.
POST
/
v1
/
redfin
/
property
Get a home's details and estimate
curl --request POST \
--url https://api.stophy.dev/v1/redfin/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/redfin/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/redfin/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"status": "<string>",
"price": 1,
"currency": "<string>",
"priceText": "<string>",
"estimate": 123,
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lotSqft": 123,
"yearBuilt": 0,
"stories": 123,
"propertyType": "<string>",
"apn": "<string>",
"county": "<string>",
"description": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"unit": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"priceHistory": [
{
"date": "2023-12-25",
"event": "<string>",
"price": 123,
"source": "<string>",
"mlsId": "<string>"
}
],
"taxHistory": [
{
"year": 0,
"landValue": 123,
"improvementValue": 123,
"taxes": 123
}
],
"facts": [
{
"group": "<string>",
"name": "<string>",
"values": [
"<string>"
]
}
],
"schools": [
{
"isServingHome": true,
"url": "<string>",
"id": "<string>",
"name": "<string>",
"type": "<string>",
"grades": "<string>",
"rating": 123,
"parentRating": 123,
"distanceMiles": 123,
"students": 0,
"district": "<string>"
}
],
"comparables": [
{
"url": "<string>",
"id": "<string>",
"status": "<string>",
"price": 1,
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
redfin.property - Returns:
datahasproperty. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.redfin.property({ property: "https://www.redfin.com/NY/New-York/123-Main-St-10001/home/12345678" });
console.log(result.data.property);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.redfin.property(property="https://www.redfin.com/NY/New-York/123-Main-St-10001/home/12345678")
print(result["data"]["property"])
curl -X POST https://api.stophy.dev/v1/redfin/property \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"property":"https://www.redfin.com/NY/New-York/123-Main-St-10001/home/12345678"}'
stophy redfin property https://www.redfin.com/NY/New-York/123-Main-St-10001/home/12345678
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json